Subject: bug#31097: 27.0.50; Interprogram paste is destructively modified

From: Noam Postavsky <[email-masked]>
Date: Sat, 14 Apr 2018 02:11:01 -0400

tags 31097 fixed
close 31097 27.1
quit

"Basil L. Contovounesios" <[email-masked]> writes:

>> Seems reasonable.  Perhaps add some comments in case someone tries to
>> "optimize" it later?
>
> Are the comments in the updated patch attached clear enough?

Yeah, seems fine.  I added periods at the end and pushed to master [1: 2825d84945].

> Fair enough, I just thought it was strange having an ARGth element
> without an ARG.

I don't disagree exactly, but it's kind of distracting when more than
half your patch is about an unrelated side-fix like that.

[1: 2825d84945]: 2018-04-14 01:20:03 -0400
  Do not destructively modify interprogram paste
  https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=2825d849451be45ea738e2d2b2567c834fe5a0fb>